<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Tokenizer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classTokenizer.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classTokenizer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Tokenizer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Simple utility class to split a string into tokens.  
 <a href="classTokenizer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Tokenizer_8h_source.html">Tokenizer.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adcbc5980a306bf87dfb767f6c9cf2207"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTokenizer.html#adcbc5980a306bf87dfb767f6c9cf2207">Tokenizer</a> (const std::string &amp;s, const std::string &amp;d)</td></tr>
<tr class="memdesc:adcbc5980a306bf87dfb767f6c9cf2207"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#adcbc5980a306bf87dfb767f6c9cf2207">More...</a><br /></td></tr>
<tr class="separator:adcbc5980a306bf87dfb767f6c9cf2207"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48eb18e7aeb5586070dff7e3202b641c"><td class="memItemLeft" align="right" valign="top"><a id="a48eb18e7aeb5586070dff7e3202b641c"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTokenizer.html#a48eb18e7aeb5586070dff7e3202b641c">nextToken</a> ()</td></tr>
<tr class="memdesc:a48eb18e7aeb5586070dff7e3202b641c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the next token. <br /></td></tr>
<tr class="separator:a48eb18e7aeb5586070dff7e3202b641c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbc208c55e355ecf167d2a048b5d5177"><td class="memItemLeft" align="right" valign="top"><a id="adbc208c55e355ecf167d2a048b5d5177"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTokenizer.html#adbc208c55e355ecf167d2a048b5d5177">hasMoreTokens</a> ()</td></tr>
<tr class="memdesc:adbc208c55e355ecf167d2a048b5d5177"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicate whether there are any tokens remaining. <br /></td></tr>
<tr class="separator:adbc208c55e355ecf167d2a048b5d5177"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Simple utility class to split a string into tokens. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="adcbc5980a306bf87dfb767f6c9cf2207"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcbc5980a306bf87dfb767f6c9cf2207">&#9670;&nbsp;</a></span>Tokenizer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Tokenizer::Tokenizer </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>d</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">s</td><td>string to be split </td></tr>
    <tr><td class="paramname">d</td><td>delimitter </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="Tokenizer_8h_source.html">Tokenizer.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classTokenizer.html">Tokenizer</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
